# class TempIO

A `StringIO` duck-typed class that uses `Tempfile` instead of `String` as the backing store.

This is available when rubygems/test_utilities is required.

### Public Class Methods

new(string = '') click to toggle source

Creates a new `TempIO` that will be initialized to contain `string`.

Calls superclass method `Tempfile::new`

    # File lib/rubygems/test_utilities.rb, line 355
    def initialize(string = '')
      super "TempIO"
      binmode
      write string
      rewind
    end

### Public Instance Methods

string() click to toggle source

The content of the `TempIO` as a `String`.

    # File lib/rubygems/test_utilities.rb, line 365
    def string
      flush
      Gem.read_binary path
    end